%global _module_build 1

%if 0%{?_module_build}
%bcond_with documentation
%else
%bcond_without documentation
%endif

Name:    nasm
Version: 2.13.03
Release: 4
Summary: The Netwide Assembler, a portable x86 assembler with Intel-like syntax
License: BSD
URL:     http://www.nasm.us
Source0: http://www.nasm.us/pub/nasm/releasebuilds/%{version}/%{name}-%{version}.tar.bz2
Source1: http://www.nasm.us/pub/nasm/releasebuilds/%{version}/%{name}-%{version}-xdoc.tar.bz2

BuildRequires: perl(Env) autoconf asciidoc xmlto gcc make git

Provides:  %{name}-rdoff
Obsoletes: %{name}-rdoff

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax. It also provides tools in RDOFF binary
format, includes linker, library manager, loader, and information dump.

%package help
Summary: Help files for NASM
%if %{with documentation}
BuildRequires: perl(Font::TTF::Font) perl(File::Spec)
BuildRequires: perl(Sort::Versions)
BuildRequires: adobe-source-sans-pro-fonts adobe-source-code-pro-fonts
BuildRequires: ghostscript
Provides:  %{name}-doc
Obsoletes: %{name}-doc
%endif
BuildArch: noarch

%description help
Help files for %{name}, includes documentation in HTML, PDF, PostScript,
and text formats.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf
%configure
%if %{with documentation}
%make_build everything
gzip -9f doc/nasmdoc.{ps,txt}
%else
make all %{?_smp_mflags}
%endif

%install
make INSTALLROOT=%{buildroot} install install_rdf

%files
%doc CHANGES README TODO
%license AUTHORS
%{_bindir}/nasm
%{_bindir}/ndisasm
%{_bindir}/ldrdf
%{_bindir}/rdf2bin
%{_bindir}/rdf2ihx
%{_bindir}/rdf2com
%{_bindir}/rdfdump
%{_bindir}/rdflib
%{_bindir}/rdx
%{_bindir}/rdf2ith
%{_bindir}/rdf2srec

%files help
%if %{with documentation}
%doc doc/html doc/nasmdoc.txt.gz doc/nasmdoc.ps.gz doc/nasmdoc.pdf
%endif
%{_mandir}/man1/nasm*
%{_mandir}/man1/ndisasm*
%{_mandir}/man1/rd*
%{_mandir}/man1/ld*

%changelog
* Mon Jan 13 2020 openEuler BuildTeam<buildteam@openeuler.org> - 2.13.03-4
- build without documentation

* Mon Dec 09 2019 openEuler BuildTeam<buildteam@openeuler.org> - 2.13.03-3
- Package Init
